Name:		rtctl
Version:	1.9
Release:	5%{?dist}
Summary:	Scripts for controlling scheduling priorities of system threads
Group:		Applications/System
License:	GPL
BuildArch:	noarch
Source0:	rtctl-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:	set_kthread_prio <= 1.0.1
Provides:	set_kthread_prio

Patch001: rtctl-remove-udev-rule.patch
Patch002: rtctl-add-kernel-version-based-config.patch
Patch003: rtctl-fix-error-in-rtctl-config-selection.patch
Patch004: rtctl-add-config-changes-to-manpage.patch
Patch005: rtctl-update-internal-specfile.patch
Patch006: rtctl-match-x_y-in-kernel-x_y_z-version.patch

%description
rtctl is a set of scripts used to manipulate the scheduling priorities of
groups of system threads.

%prep
%setup
%patch001 -p1
%patch002 -p1
%patch003 -p1
%patch004 -p1
%patch005 -p1
%patch006 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DEST=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(0755, root, root) /usr/sbin/rtctl
%config(noreplace) /etc/rtgroups
%config(noreplace) /etc/rtgroups-3.0
%config(noreplace) /etc/sysconfig/rtctl
/etc/rc.d/init.d/rtctl
/usr/share/man/man1/rtctl.1.gz
/usr/share/man/man5/rtgroups.5.gz

%post
/sbin/chkconfig rtctl on

%preun
if [ "$1" = "0" ] ; then # uninstall
/sbin/chkconfig rtctl off
fi

%changelog
* Thu Nov 17 2011 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.9-5
- Now /etc/rtgroups-x.y will be used by any kernel-x.y.z-NNN where x.y matches.

* Wed Oct 19 2011 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.9-4
- Fixed an error in the custom config file selection code
- Added the config file priority order to the manpage

* Wed Oct 19 2011 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.9-3
- Added support to kernel-version based rtgroups rules
- Created an empty rule set for mrg-2.1 kernels

* Mon May 30 2011 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.9-2
- removed udev rule that caused udev timeouts on big systems

* Tue Feb  8 2011 Clark Williams <williams@redhat.com> 1.9-1
- modified init script to only startup on RT enabled kernels

* Mon Jan 31 2011 Clark Williams <williams@redhat.com> 1.8-3
- Initial build for MRG 2.0 (RHEL6)

* Mon Apr 25 2010 Clark Williams <williams@redhat.com> 1.8-2
- Added BZ numbers to previous changelog entries

* Mon Apr 19 2010 Clark Williams <williams@redhat.com> 1.8-1
- added udev rule to detect irq sysfs attribute
- added irq target (used by udev script) to trigger rtctl
  run when irq added
- added locking in init script to prevent simultaneous runs
- source reorganization; changed from individual files to
  a tarfile for rpm builds

* Tue Aug 18 2009 Clark Williams <williams@redhat.com> 1.7-1
- add /etc/sysconfig/rtctl for config parameters
- add check for cpuspeed to init script
- rewrite of initscript logic for service checks

* Tue Aug 18 2009 Clark Williams <williams@redhat.com> 1.6-1
- changed NFS kthread prios to be below sirq priorities
- changed init script to use system functions

* Sat Aug  9 2008 Arnaldo Carvalho de Melo <acme@redhat.com> 1.5-1
- Added support for SMP affinities
- older files continue to work assuming '*' for affinity

* Thu Jul 24 2008 Clark Williams <williams@redhat.com> 1.4-1
- reworked priorities in /etc/rtgroups (BZ 432718)
- fixed assumption that irqbalance is always installed in rtctl.init

* Mon May 12 2008 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.3-3
- check if irqbalance is running, stop if and disable it (chkconfig off)
- implement IBM request of lowering rtprios of softirq and softirq-rcu from 50
  to 30

* Thu Apr 29 2008 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.3-2
- fixed upgrade logic - now rtctl is enabled after an update

* Wed Apr 23 2008 Clark Williams <williams@redhat.com> 1.3-1
- backed out kjournald entry in rtgroups (leave as default for now)

* Thu Apr 10 2008 Clark Williams <williams@redhat.com> 1.2-2
- removed posix_cpu_timer
- fixed regexs for softirq-net-[rt]x and hardirq
- added '*' scheduler type for "don't change this thread's policy"
- brought back kthread group with '*' policy

* Thu Apr 10 2008 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.2-1
- leave kthreads with default sched policy and priority
- commented out kthreads and krcupreemptd lines
- kjournald is now SCHED_FIFO rtprio 1 (testing)
- added support for IRQ- and IRQ_ hard IRQ naming
- added support to softirq and sirq naming convention
- decreased by 10 rtprio for kthreads with prios bettwen 90 and 98

* Fri May 25 2007 Mark Salter <msalter@redhat.com> - 1.1-2
- updated rtgroups

* Tue May 01 2007 Mark Salter <msalter@redhat.com> - 1.1-1
- updated man page
- added awk code in do_show() for performance

* Tue Apr 17 2007 Clark Williams <williams@redhat.com> - 1.0-1
- inital packaging

